/*
 * Qt wrapper for libindicate
 *
 * Copyright 2009 Canonical Ltd.
 *
 * Authors:
 * - Aurélien Gâteau <aurelien.gateau@canonical.com>
 *
 * License: LGPL v2.1 or LGPL v3
 */
#ifndef INDICATORTEST_H
#define INDICATORTEST_H

// Qt
#include <QObject>

// Local
#include <qindicateserver.h>

class IndicatorTest : public QObject
{
Q_OBJECT
private Q_SLOTS:
    void initTestCase();
    void init();
    void cleanup();
    void testAddRemove();
    void testProperties();
    void testDisplay();
    void testCount();
    void testDrawAttention();
    void testTime();

private:
    QIndicate::Server* mServer;
};

#endif /* INDICATORTEST_H */
